
Figure - Bug #112177
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110875 (New): BSP-BVT测试-TP

【BSP】【EVT】【TP】【仅VC1的屏幕】编辑文件夹名称时，选中文件夹名称，有概率出现重影现象，且会
保留在屏幕上（依赖UIUE定版)
2022-09-27 19:37 - CD TEST-方永红

Status: CLOSED Start date: 2022-09-27

Priority: High Due date: 2022-12-12

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V5.0_20221230

Need_Info: -- Found Version: FlatBuild_VX1_MCE_xx.xx_FSE.D.userdebug.0.0.0.20220927.alpha

Resolution: FIXED Degrated: No

Severity: Major Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211230319

Reproducibility: Every time Fixed Version: 2022-11-22

Test Type: IT Root cause: AOSP问题

Description

【前提条件】

1、设备已开机

【测试步骤】

1、将两个应用放在同一个文件夹中

2、选中文件夹名称

【预期结果】

2、正常选中，可以进行删除等操作

【实际结果】

2、选中文件夹名称，有概率出现重影现象，且会保留在屏幕上

【复现率】

20%

History

#1 - 2022-09-27 20:07 - CDTS_TEST 王成

- Severity changed from Normal to Major

#2 - 2022-09-28 11:11 - CD BSP-余霄

- Assignee changed from CD BSP-余霄 to CD FW-王伟

麻烦FW先分析一下呢，UI绘制相关问题

#3 - 2022-09-28 12:00 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD APP-王营

请分析，确认下。

会不会是因为我们vc1适配的问题。
#4 - 2022-09-28 12:28 - CD APP-黄棚

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD APP-黄棚

■ Current conclusion

刚开始分析，初步怀疑是屏幕适配维问题

■ My analysis

需要分析代码和现象

■ Next action / ■Submit URL

尝试从代码角度分析原因

#5 - 2022-09-28 15:12 - CD TEST-方永红

- File 文件夹名称.log added

#6 - 2022-09-28 16:25 - CD APP-黄棚

暂无解决思路，因为是在VC1的屏幕上才会出现的问题，VX1不会出现

#7 - 2022-09-28 18:21 - 物联网项目组-RD3_CDTS 周飞

- Target version changed from VX1_MCE_FSE_V2.0_20220930 to VC1_FSE_展车SW_20221030

#8 - 2022-10-17 16:28 - CDTS_TEST 王成

- Target version changed from VC1_FSE_展车SW_20221030 to VX1_MCE_FSE_V3.0_20221030

#9 - 2022-10-18 11:27 - CDTS-TEST 周婷

- Category changed from BSP to CD-APP

#10 - 2022-10-18 18:59 - CD APP-王营

- % Done changed from 0 to 20

■ Current conclusion

打开开发者选项，打开“显示点按操作反馈” 和 “指针位置”两个开关比较容易复现此现象，独立使用投屏软件无法复现，需要配合物理屏幕。

■ My analysis

猜测和以上两个开关有关系，打开后比较耗性能，对绘制有影响。

■ Next action

综合两款屏幕再测试一下，如果不打开以上两个开关无法复现，建议不解。

#11 - 2022-10-19 09:38 - CD APP-王营

- Assignee changed from CD APP-黄棚 to CD APP-王营

#12 - 2022-10-19 10:03 - CD TEST-方永红

目前实验结果如下：

VX1屏幕:不打开“显示点按操作反应”和“指针位置”时不会出现该问题，打开开关后有概率出现

VC1屏幕:不打开“显示点按操作反应”和“指针位置”时也会出现该问题，打开开关再进行测试,该问题复现率更高
#13 - 2022-10-21 10:54 - CDTS-TEST 周婷

补充对UIUE 的依赖

#14 - 2022-10-21 11:04 - CDTS-TEST 周婷

- Target version deleted (VX1_MCE_FSE_V3.0_20221030)

#15 - 2022-10-21 11:10 - CD APP-王营

根据最新的UI评审，新版本的UI和UE变动比较大，这部分会根据最新的UI修改，替换原有文件夹名称编辑的控件

建议最新UI敲定后，我们做出修改再来测试这个问题。

#16 - 2022-10-25 15:15 - CDTS-TEST 周婷

- Subject changed from 【BSP】【EVT】【TP】【仅VC1的屏幕】编辑文件夹名称时，选中文件夹名称，有概率出现重影现象，且会保留在屏幕上 to 【BSP

】【EVT】【TP】【仅VC1的屏幕】编辑文件夹名称时，选中文件夹名称，有概率出现重影现象，且会保留在屏幕上（依赖UIUE定版)

- Target version set to VX1_MCE_FSE_V3.0_update_20221115

#17 - 2022-11-02 14:06 - CDTS-TEST 周婷

- Target version changed from VX1_MCE_FSE_V3.0_update_20221115 to VX1_MCE_FSE_V3.0_update_20221130

#18 - 2022-11-16 18:36 - CDTS-TEST 周婷

- Due date set to 2022-12-12

- Target version changed from VX1_MCE_FSE_V3.0_update_20221130 to VX1_MCE_FSE_V5.0_20221230

#19 - 2022-11-22 10:48 - CD APP-李德盛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 20 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2022-11-22

- Root cause set to AOSP问题

■ Current conclusion

修改新UI后，问题已修复

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Launcher3/+/164238

代码已入库，请使用最新版本验证

#20 - 2022-11-23 11:07 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202211230319

11.23

无论是否打开“显示点按操作反馈”和“指针位置”

目前都不会出现重影

验证通过
#21 - 2022-11-23 11:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

文件夹名称1.jpg 477 KB 2022-09-27 CD TEST-方永红

文件夹名称2.jpg 602 KB 2022-09-27 CD TEST-方永红

文件夹名称3.jpg 167 KB 2022-09-27 CD TEST-方永红

文件夹名称.log 23.6 KB 2022-09-28 CD TEST-方永红
